
.track-block{
        width: 300px;

            img{
                width: 300px;
                height: 300px;
            }

    .track-info{
        line-height: 2;
        width: 100%;
    }


    .track-title{
        color: #fff;
    }

    .track-singer{
        color: #ffffff82;
    }

    .track-active{
        display: flex;
        justify-content: center;
        gap: 10px;
        margin-top: 10px;
    }


    .track-block-img{

        .track-img-tracks-detail{
        position: relative;
        height: 300px;
        cursor: pointer;
        overflow: hidden;

        img{
            transition: all 0.7s ;
        }

        &:hover img{
            transform: scale(1.1);
        }

        &:hover .icon{
            visibility:visible;
        }

        
        .icon{
            position: absolute;
            top: 50%;
            left: 50%;
            transform: translate(-50%, -50%);
            background-color: #00000031;
            width: 100%;
            height: 100%;
            display: flex;
            justify-content: center;
            align-items: center;
            visibility:hidden;

            img{
                width: 40px;
                height: 40px;
                display: block;
                border: 1px solid #fff;
                border-radius: 20px;
                padding: 5px;
            }

            &.show-equalizer {
                visibility: visible;
              }

              .icon-play-track{
                font-size: 43px;
                border:1px solid #fff;
                border-radius: 30px;
              }
        }
    }
       
}


    
    .icon-active{
        display: flex;
        font-size: 40px;
        padding: 10px;
        background-color: #ffffff15;
        border-radius: 50%;
        color: #fff;
        cursor: pointer;

        &:hover{
            background-color: #9392929e;
        }

        &.hilight{
            color: #9B4DE0;
        }
    }

}

    .rhap_container{
        z-index: 1;
    }




.add-playlist-option{


    .MuiPaper-root.MuiPaper-elevation.MuiPaper-rounded.MuiPaper-elevation8.MuiPopover-paper.MuiMenu-paper.MuiMenu-paper {
        background-color: #34224F;
        color: #d6d4d4;
        width: 250px;
    }
    
    li.MuiButtonBase-root.MuiMenuItem-root.MuiMenuItem-gutters.MuiMenuItem-root.MuiMenuItem-gutters {
        display: flex;
        gap: 15px;
    }


}


 

.content-playlist{
    height: 300px;

    .create-playlist{
        padding-left: 15px;
        margin-top: 25px;
    }

    .search-playlist{
        border: none;
    }
    
    .block-item--playlist{

        // overflow-y: scroll;
    }
    
    
    .item-playlist{
        padding: 5px 20px;
        display: flex;
        align-items: center;

        &:hover{
            background-color: #0000001c;
            cursor: pointer;
        }
        
        .icon-child-playlist{
            display: flex;
            margin-right: 10px;
        }
    }

    }





.menu-add-playlist{

    .MuiInputBase-root.MuiOutlinedInput-root.MuiInputBase-colorPrimary.MuiInputBase-fullWidth.MuiInputBase-formControl.MuiInputBase-adornedEnd.MuiAutocomplete-inputRoot.css-154xyx0-MuiInputBase-root-MuiOutlinedInput-root{
        color: #fff;
    }

    .MuiAutocomplete-root.MuiAutocomplete-hasPopupIcon.css-1otc74c-MuiAutocomplete-root {
        margin: auto;
        height: 45px;
        color: #fff;
        z-index: 1;

        ::placeholder{
            color: #fff;
            opacity: 1;
        }
    }

    .MuiAutocomplete-endAdornment.css-p1olib-MuiAutocomplete-endAdornment {
        display: none;
    }

   .MuiPaper-root.MuiPaper-elevation.MuiPaper-rounded.MuiPaper-elevation8.MuiPopover-paper.MuiMenu-paper.MuiMenu-paper.css-3dzjca-MuiPaper-root-MuiPopover-paper-MuiMenu-paper{
        background-color: #34224F ;
        color: #ffffffb4;
        width: 300px;
    }


    fieldset.MuiOutlinedInput-notchedOutline.css-1d3z3hw-MuiOutlinedInput-notchedOutline {
        border: none;
        background-color: #4938615c;
        border-radius: 50px;
        height: 45px;
        margin: auto;
        color: #fff;
        z-index: 0;
    }
  }


@media (max-width: 1024px) {
    .track-block {
        display: flex;
        text-align: left;
        width: 500px;

        .track-block-img{
            height: 200px;

            .track-img{
                height: 200px;

            img{
                width: 200px;
                height: 200px;
                }
            
            .icon{
                height: 200px;
                }
            }
        }


    .track-active{
        justify-content: flex-start;
        margin-left: 15px;
    }

        .track-text{
            margin-left: 15px;
        }

    }
  }



  @media (max-width: 873px) {
    .track-block {
        display: flex;
        height: 130px;

        .track-block-img{
      
            .track-img{
                height: 130px;
 
        img{
            width: 130px;
            height: 130px;
        }
    }

        .track-text{
            margin-left: 15px;
            width: 0;
        }
    }

}
  
}


